Installieren Sie unsere App Klicken Sie auf das -Symbol oben rechts in der Adressleiste.

Domains und SSL

GET https://peaknode.de/api/domain-names/
curl --request GET \
--url 'https://peaknode.de/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
search Optional String Der Suchbegriff.
search_by Optional String Das Feld, in dem gesucht wird. Erlaubte Werte: name, target.
is_enabled Optional Boolean
project_id Optional Integer
datetime_field Optional String Erlaubte Werte: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime
datetime_start Optional String Ergebnisse ab diesem Zeitpunkt filtern. Format Y-m-d H:i:s.
datetime_end Optional String Ergebnisse bis zu diesem Zeitpunkt filtern. Format Y-m-d H:i:s.
order_by Optional String Das Feld, nach dem die Ergebnisse sortiert werden. Erlaubte Werte: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime.
order_type Optional String Die Sortierreihenfolge der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Integer Die Seitennummer, von der Sie Ergebnisse erhalten möchten. Standard: 1.
results_per_page Optional Integer Anzahl der Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard: 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "whois": [],
            "whois_notifications": [],
            "ssl": {},
            "ssl_notifications": [],
            "total_checks": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-13 14:39:07"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://peaknode.de/api/domain-names?page=1",
        "last": "https://peaknode.de/api/domain-names?page=1",
        "next": null,
        "prev": null,
        "self": "https://peaknode.de/api/domain-names?page=1"
    }
}
GET https://peaknode.de/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://peaknode.de/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-13 14:39:07"
    }
}
POST https://peaknode.de/api/domain-names
Parameter Details Beschreibung
name Erforderlich String -
target Erforderlich String -
project_id Optional Integer -
whois_notifications Optional Array IDs der Benachrichtigungskanäle
whois_notifications_timing Optional Integer Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage)
ssl_notifications Optional Array IDs der Benachrichtigungskanäle
ssl_notifications_timing Optional Integer Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage)
is_enabled Optional Boolean -
curl --request POST \
--url 'https://peaknode.de/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": null,
        "whois_notifications": [],
        "ssl": null,
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-13 14:39:07"
    }
}
POST https://peaknode.de/api/domain-names/{domain_name_id}
Parameter Details Beschreibung
name Optional String -
target Optional String -
project_id Optional Integer -
whois_notifications Optional Array IDs der Benachrichtigungskanäle
whois_notifications_timing Optional Integer Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage)
ssl_notifications Optional Array IDs der Benachrichtigungskanäle
ssl_notifications_timing Optional Integer Erlaubte Werte: 1, 2, 3, 7, 14, 30, 60 (Tage)
is_enabled Optional Boolean -
curl --request POST \
--url 'https://peaknode.de/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-13 14:39:07"
    }
}
DELETE https://peaknode.de/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://peaknode.de/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \